Redmine - Feature #41298

Refine Ul with updated box styling and border colors
2024-09-23 10:38 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

The attached patch improves the user interface cleaner by updating border colors and box styling.

e Update the style of the .box, used across multiple screens, by changing the background color and border style to give it a lighter
and cleaner impression

¢ Aligned the border styles of many elements with the updated .box style, improving contrast and color consistency

¢ Updated the sidebar background color to match the new background color of the .box

Screenshots:

¢ QOverview: gverview-current@2x.png -> overview-new@2x.png

o [ssues: issues-list-current@2x.png -> issues-list-new@2x.png

e Single issue: issue-current@2x.png -> issue-new@2x.png

e Spent time: spent-time-list-current@2x.png -> spent-time-list-new@2x.png

Related issues:
Related to Redmine - Defect #32167: Inconsistent border coloring of Ul elements? New

Associated revisions

Revision 23070 - 2024-09-23 10:52 - Go MAEDA

Improve appearance with updated box styling and border colors (#41298).

Patch by Go MAEDA (user:maeda).

Revision 23071 - 2024-09-23 11:15 - Go MAEDA

Restore “line-height™ for the ".box™ class which was inadvertently removed in r23070 (#41298).

Revision 23074 - 2024-09-24 10:21 - Go MAEDA
Set box-shadow and border-radius for calendar and gantt tooltips (#41298).

Revision 23075 - 2024-09-24 11:50 - Go MAEDA
Align My Page box styling with updated box design (#41298).

Revision 23076 - 2024-09-24 11:59 - Go MAEDA
Align project styling on projects-index with updated box design (#41298).

Revision 23094 - 2024-09-30 00:06 - Marius BALTEANU

Removes box-shadown from issue_tree and relations issues tables (#41298).

Revision 23098 - 2024-10-02 11:07 - Go MAEDA

Update ".filecontent.wiki® style with the new border color and box shadow (#41298).

Revision 23121 - 2024-10-14 09:22 - Go MAEDA
Align #sidebar h3 color with content headers (#41298).

History

#1 - 2024-09-23 10:52 - Go MAEDA
https://www.redmine.org/attachments/32925
https://www.redmine.org/attachments/32924
https://www.redmine.org/attachments/32926
https://www.redmine.org/attachments/32927
https://www.redmine.org/attachments/32928
https://www.redmine.org/attachments/32929
https://www.redmine.org/attachments/32930
https://www.redmine.org/attachments/32931

- Status changed from New to Resolved

- Resolution set to Fixed

Committed the patch in r23070.

#2 - 2024-09-27 08:10 - Go MAEDA

- Related to Defect #32167: Inconsistent border coloring of Ul elements? added

#3 - 2024-10-01 04:49 - Go MAEDA

- Status changed from Resolved to Closed

#4 - 2024-10-21 09:06 - Mizuki ISHIKAWA
- File before.png added
- File after.png added

The color of the activity page headings was originally determined to match the sidebar. Therefore, how about also changing the color of the activity

headings accordingly?

diff:

diff —--git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css

index 9bffd4f48f..98177f1c8 100644
—-—— a/app/assets/stylesheets/application.css
+++ b/app/assets/stylesheets/application.css

@@ -723,7 +723,8 Q@ div#activity dt.grouped {margin-left:5em;}

div#activity dd.grouped {margin-left:9em; }
div#activity h3 {
padding: 5px;
background-color: f#eeeeee;
+ Dbackground-color: #f9fafb;
+ Dborder: solid lpx #d0d7de;
}
div#activity dt {
padding-top: 10px;

before.png after.png

#5 - 2024-10-23 17:24 - Go MAEDA
Mizuki ISHIKAWA wrote in #note-4:

The color of the activity page headings was originally determined to match the sidebar. Therefore, how about also changing the color of the

activity headings accordingly?

| think the headings should not have a border because it is too obvious and a heading with a border looks like a box.
